:root {
        --bg: #f5f5f7;
        --card: #ffffff;
        --text-main: #1d1d1f;
        --text-sub: #86868b;
        --border: rgba(0, 0, 0, 0.08);
        }

* {
    box-sizing: border-box;
    }

body {
        margin: 0;
        padding: 0;
        background: var(--bg);
        font-family: system-ui, -apple-system, sans-serif;
        display: block;
        /* justify-content: center; */
        min-height: 100vh;
        overflow-x: hidden;
    }

.bento-container {
    height: auto;
    padding: 1rem;
    display: grid;
    gap: 1rem;
    grid-template-columns: 1.6fr 0.8fr 1fr;
    grid-template-rows: 35vh 60vh;
    grid-template-areas:
        "intro toolkit social"
        "work work work";
    align-items: start;
    }

.tile {
    background: var(--card);
    border: 1px solid var(--border);
    border-radius: 32px;
    padding: 20px 15px;
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 0;
    overflow: hidden;
    /* height:fit-content; */
    transition:
        transform 0.35s ease,
        box-shadow 0.35s ease,
        border-color 0.35s ease;
    }


.hero {
    grid-area: intro;
    height: 35vh;
    box-sizing: border-box;
    display:flex;
    flex-direction: column;
    justify-content: space-between;
    /* min-height: 370px; */
    background: linear-gradient(
        135deg,
        #ffffff 0%,
        #f9f9fb 100%
    );
}


.hero::before {
    content: "MB";
    position: absolute;
    right: -10px;
    bottom: -40px;
    font-size: 13rem;
    font-weight: 900;
    color: rgba(0,0,0,0.03);
    pointer-events: none;
    }

.work {
    grid-area: work;
    height: 60vh;
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    overflow: hidden; 
    }

.work:hover {
    border-color: #6366f1;
    background: #fafafa;
    }

.project-showcase{
    margin-top: 22px;
    display: flex;
    gap: 18px;
    height: 100%;
    min-height: 0;
}

.video-card{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 14px;
    border-radius: 24px;
    background: linear-gradient(
        180deg,
        #fafafa 0%,
        #f3f4f6 100%
    );

    border: 1px solid rgba(0,0,0,0.06);
    transition: 
        transform 0.3s ease,
        box-shadow 0.3s ease,
        border-color 0.3s ease;
    }

.video-card:hover {
    transform: translateY(-4px);
    border-color: #d1d5db;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
}

.video-info h4{
    margin: 0 0 6px;
    font-size: 1rem;
    color: var(--text-main);
}

.video-info p{
    font-size: 0.92rem;
    line-height: 1.45;
    color: var(--text-sub);
}

.project-video{
    flex: 1;
    display: block;
    width: 100%;
    height: 100%;
    min-height: 0;
    object-fit:contain;
    border-radius: 18px;
    border: 1px solid rgba(0, 0, 0, 0.08);
    background: #000;
    transition: 
        transform 0.4s ease;
        box-shadow: 0.3s ease;
}

.video-card:hover .project-video {
    transform: scale(1.02);
    }


.toolkit {
    grid-area: toolkit;
    height: 35vh;
    }
    /*  
.toolkit { 
    min-height: 280px;
    }  */

.social-wrapper {
    grid-area: social;
    height: 35vh;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    }


.social {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    /* min-height: 82px; */
    color: var(--text-main);
    font-weight: 600;
    font-size: 1rem;
    }

.social:hover {
    background: #f8f8fa;
    }


.location {
    grid-area: location;
    align-self: stretch;
    height: 20vh;
    /* min-height: 100%; */
    }

.location p {
    font-size: 1.15rem;
    line-height: 1.5;
}

.tile:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 30px rgba(0,0,0,0.06);
    }

.label {
    font-size: 11px;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: var(--text-sub);
    display: block;
    margin-bottom: 12px;
   }

h1 {
    font-size: 2.5rem;
    line-height: 0.5;
    margin: 0 0 12px;
    letter-spacing: -2px;
    color: var(--text-main);
    }

h2 {
    font-size: 1.4rem;
    margin: 0 0 18px;
    font-weight: 500;
    color: var(--text-sub);
    }

h3 {
    font-size: 1.8rem;
    line-height: 0.5;
    margin: 0 0 10px;
    color: var(--text-main);
    }

p {
    margin: 0;
    line-height: 1.5;
    color: var(--text-sub);
    }


.content-wrapper {
    position: relative;
    z-index: 1;
    }

.hero-bottom{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    margin-top: 10px;
    position: relative;
    z-index: 2;
}

.resume-btn {
    /* margin-top: 25px; */
    width: fit-content;
    text-decoration: none;
    padding: 14px 22px;
    border-radius: 12px;
    background: #535a61;
    color: white;
    font-weight: 600;

    transition:
        background 0.3s ease,
        transform 0.2s ease;
    }

.resume-btn:hover {
    background: #111827;
    transform: translateY(-2px);
    }

.tag-container {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    }

.tag {
    background: #f2f2f7;
    padding: 10px 16px;
    border-radius: 999px;
    font-size: 14px;
    font-weight: 500;
    white-space: nowrap;
    }


.status {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin: 0;
    }

.status-badge {
    display: flex;
    align-items: center;
    gap: 10px;
    white-space: nowrap;
    font-size: 0.95rem;
    color: var(--text-sub);
    }

.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #34c759;
    position: relative;
    }

.dot::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 50%;
    background: #34c759;
    animation: pulse 2s infinite;
    z-index: -1;
    }

@keyframes pulse {
    from {
        transform: scale(1);
        opacity: 0.8;
    }

    to {
        transform: scale(3);
        opacity: 0;
    }
    }

.image-crop {
    margin-top: 20px;
    flex: 1;
    width: 100%;
    min-height: 0;
    overflow: hidden;
    border-radius: 18px;
    display: flex;
    }

.img-desktop {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
    transition: transform 0.4s ease;
    }

.work:hover .img-desktop {
    transform: scale(1.03);
    }

.img-mobile {
    display: none;
    }

@media (max-width: 1100px) {

    .bento-container {

        width: 100%;
        grid-template-columns: 1fr;

        grid-template-areas:
            "intro"
            "toolkit"
            "social"
            "work";

        grid-template-rows: auto;
    }

    .hero,
    .toolkit,
    .social-wrapper,
    .work {
        height: auto;
    }

    .project-showcase{
        flex-direction: column;
    }

    .video-card{
        min-height: 320px;
    }
}

@media (max-width: 768px) {

    body{
        padding: 10px;
    }

    .bento-container{
        padding: 0;
        gap: 14px;
    }

    .tile{
        padding: 18px;
        border-radius: 24px;
    }

    h1{
        font-size: 2rem;
        line-height: 1.1;
    }

    h2{
        font-size: 1.1rem;
    }

    h3{
        font-size: 1.4rem;
        line-height: 1.2;
    }

    .hero-bottom{
        flex-direction: column;
        align-items: flex-start;
    }

    .tag-container{
        gap: 8px;
    }

    .tag{
        font-size: 12px;
        padding: 8px 12px;
    }

    .project-showcase{
        gap: 16px;
    }

    .video-card{
        min-height: auto;
    }

    .project-video{
        width: 100%;
        height: 220px;
        object-fit: cover;
    }

    .hero::before{
        font-size: 8rem;
        bottom: -20px;
    }
}